Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0027008
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] B. User interfacemajoralways2014-07-03 17:002014-08-08 18:53
ReporterdbazView Statuspublic 
Assigned Toshankarb 
PriorityimmediateResolutionfixedFixed in Version3.0PR14Q3
StatusclosedFix in branchFixed in SCM revision4adfa3a31483
ProjectionnoneETAnoneTarget Version3.0PR14Q4
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todbaz
Web browser
ModulesCore
Regression levelPackaging and release
Regression date2014-05-09
Regression introduced in releasepi
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/b6eadf2004263b2719ae7d003a3ae7ba60424be9 [^]
Triggers an Emergency PackNo
Summary

0027008: "Recent Documents" is not working under some circumstances

Description"Recent Documents" is not working under some circumstances
Steps To ReproduceHere it is a video showing how to reproduce it:
http://screencast.com/t/5ZuqXh4e4 [^]

Login as "Openbravo Admin" in a Professional Instance
Open the "Role" window
Select the record with "Name" = "F&B EspaƱa, S.A - Procurement"
Go to its child window "Window Access"
Select the record with "Window" = "Purchase Order"
Go to its child window "Tab Access"
Create a new record with "Tab" = "Lines - Purchase Order"
Go to its child window "Field Access"
Create a new record with "Field" = "Tax - Lines - Purchase Order". Uncheck "Editable Field"
Logout

Login as "Openbravo Admin"
Click in "Recent Documents" the item "Tax - Lines - Purc..."
The window is in "Loading..." status indefinitely
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0024705 closeddbaz The windows takes long to be loaed when there are a lot of tabs and a lot of columns on the grid. 

-  Notes
(0068553)
alostale (developer)
2014-07-08 11:41

upgrading to immediate as it's a regression
(0068720)
shankarb (developer)
2014-07-18 08:17

Fix pushed to try. Will be pushed to pi once it passes try.
(0068746)
hgbot (developer)
2014-07-21 06:51

Repository: erp/devel/pi
Changeset: 4adfa3a314832c40f746283bd80b3c5259ac5e8c
Author: Shankar Balachandran <shankar.balachandran <at> openbravo.com>
Date: Mon Jul 21 10:18:17 2014 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/4adfa3a314832c40f746283bd80b3c5259ac5e8c [^]

Fixes Issue 27008: "Recent Documents" is not working under some circumstances

The full view is prepared if the record is navigated directly as the target tab may be part of any parent tab.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/main/ob-standard-view.js
---
(0068817)
dbaz (developer)
2014-07-22 18:38

Reviewed @ changeset: 24104 - 085ea1fce739
(0069189)
hudsonbot (developer)
2014-08-08 18:53

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/4450016dee64 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-07-03 17:00 dbaz New Issue
2014-07-03 17:00 dbaz Assigned To => shankarb
2014-07-03 17:00 dbaz Modules => Core
2014-07-03 17:00 dbaz Regression level => Packaging and release
2014-07-03 17:00 dbaz Triggers an Emergency Pack => No
2014-07-03 17:14 dbaz Steps to Reproduce Updated View Revisions
2014-07-08 11:29 alostale Target Version PR14Q3 => PR14Q4
2014-07-08 11:41 alostale Note Added: 0068553
2014-07-08 11:41 alostale Priority urgent => immediate
2014-07-18 08:12 shankarb Review Assigned To => AugustoMauch
2014-07-18 08:12 shankarb Issue Monitored: AugustoMauch
2014-07-18 08:17 shankarb Status new => scheduled
2014-07-18 08:17 shankarb Note Added: 0068720
2014-07-18 08:17 shankarb fix_in_branch => pi
2014-07-18 10:33 shankarb Regression date => 2014-05-09
2014-07-18 10:33 shankarb Regression introduced in release => pi
2014-07-18 10:33 shankarb Regression introduced by commit => https://code.openbravo.com/erp/devel/pi/rev/b6eadf2004263b2719ae7d003a3ae7ba60424be9 [^]
2014-07-18 10:33 shankarb fix_in_branch pi =>
2014-07-18 10:33 shankarb Relationship added related to 0024705
2014-07-18 14:25 shankarb Issue End Monitor: AugustoMauch
2014-07-18 14:26 shankarb Review Assigned To AugustoMauch =>
2014-07-21 06:49 shankarb Review Assigned To => dbaz
2014-07-21 06:49 shankarb Issue Monitored: dbaz
2014-07-21 06:51 hgbot Checkin
2014-07-21 06:51 hgbot Note Added: 0068746
2014-07-21 06:51 hgbot Status scheduled => resolved
2014-07-21 06:51 hgbot Resolution open => fixed
2014-07-21 06:51 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/4adfa3a314832c40f746283bd80b3c5259ac5e8c [^]
2014-07-22 18:38 dbaz Note Added: 0068817
2014-07-22 18:38 dbaz Status resolved => closed
2014-07-22 18:38 dbaz Fixed in Version => 3.0PR14Q3
2014-08-08 18:53 hudsonbot Checkin
2014-08-08 18:53 hudsonbot Note Added: 0069189


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker